import { PluginCreator } from 'tailwindcss/types/config';

const creator: PluginCreator = ({ addComponents, theme }) =>
	addComponents({
		'.list-container': {
			padding: '4px',
			overflowY: 'auto',
			borderRadius: theme('borderRadius.md'),
			border: `1px solid ${theme('colors.field.input.border')}`,
		},
		'.list': {
			cursor: 'pointer',
			padding: '4px',
			margin: '3px 0',
			borderRadius: theme('borderRadius.md'),
			border: `1px solid ${theme('colors.list.item.border')}`,
			'&-compact': {
				padding: '1px',
			},
			'&--focus': {
				backgroundColor: theme('colors.focus.background'),
				borderColor: theme('colors.focus.border'),
			},
			'&--active': {
				color: theme('colors.active.color'),
				backgroundColor: theme('colors.active.background'),
				borderColor: theme('colors.active.border'),
			},
		},
	});

export default creator;
