import { PluginCreator } from 'tailwindcss/types/config';

const creator: PluginCreator = ({ addComponents, theme }) =>
	addComponents({
		'.modal': {
			'&-wrapper': {
				position: 'fixed',
				top: '0',
				right: '0',
				bottom: '0',
				left: '0',
				zIndex: '8',
			},
			'&-container': {
				position: 'absolute',
				left: '0',
				right: '0',
				top: '100px',
				width: '100%',
				maxWidth: theme('screens.lg'),
				margin: 'auto',
			},
			'&-title': {
				color: theme('colors.modal.title.color'),
				backgroundColor: theme('colors.modal.title.background'),
				borderBottom: `1px solid ${theme('colors.modal.title.border')}`,
				borderRadius: `${theme('borderRadius.md')} ${theme('borderRadius.md')} 0 0`,
				fontSize: '1.875rem',
				lineHeight: '24px',
				padding: '0.875rem',
				height: '54px',
				textOverflow: 'ellipsis',
				whiteSpace: 'nowrap',
				overflow: 'hidden',
			},
			'&-cross': {
				position: 'absolute',
				top: '0',
				right: '0',
				cursor: 'pointer',
				textAlign: 'center',
				fontSize: '54px',
				color: theme('colors.black'),
				width: '52px',
				height: '52px',
				display: 'flex',
				justifyContent: 'center',
			},
			'&-body': {
				borderTop: 'none',
				borderRadius: `0 0 ${theme('borderRadius.md')} ${theme('borderRadius.md')}`,
				backgroundColor: theme('colors.white'),
				padding: '.75rem',
				overflow: 'auto',
				maxHeight: '80vh',
			},
		},
	});

export default creator;
